#ifndef CellHeader
#define CellHeader


#include "Header.hh"

class Cell
{
public:
  int cellid;

  int CellMinI;
  int CellMaxI;
  int CellMinJ;
  int CellMaxJ;
  int CellWidth;
  int CellHeight;
  int CellSizes;

  double InvCellSizes;
  double MeanCells;
  double ARF;
  double AA;
  double BB;
  double CC;
  double DD;
  double Plt;
  double Pltexpr;
  double Plts;
  double Pltsexpr;
  double PP;
  double Pin;
  double Aux1;
  double Lax3;
  double Yuc3;
  double Gh33;
  

  Cell();
  ~Cell();
  void UpdateCell();
};


#endif
